import React from "react";
import { Button, Card, Switch } from "antd";
import moment from "moment";
export default (props) => {
  const { taMemberCardList } = props;

  return (taMemberCardList || []).map((it) => (
    <Card
      key={it?.cardId}
      style={{ width: "100%", marginTop: 16 }}
      title={it?.cardType ? it?.cardType : "会员卡"}
      loading={!it}
    >
      <Card.Grid>
        <Card.Meta title="开卡人姓名" description={it?.memberName} />
      </Card.Grid>
      <Card.Grid>
        <Card.Meta title="手机号" description={it?.memberPhone} />
      </Card.Grid>
      <Card.Grid>
        <Card.Meta title="总次数" description={it?.totalAmount} />
      </Card.Grid>
      <Card.Grid>
        <Card.Meta title="剩余次数" description={it?.leftAmount} />
      </Card.Grid>
      <Card.Grid>
        <Card.Meta
          title="开卡日期"
          description={moment(it?.bizDate).format("YYYY-MM-DD HH:mm:ss")}
        />
      </Card.Grid>
      <Card.Grid>
        <Card.Meta title="总时长" description={it?.totalTime} />
      </Card.Grid>
      <Card.Grid>
        <Card.Meta
          title="截止日期"
          description={it?.expireTime?moment(it?.expireTime).format("YYYY-MM-DD HH:mm:ss"):""}
        />
      </Card.Grid>
    </Card>
  ));
};
